## suphp 0.5.2

=== src/apache/Makefile ===
SHELL = /bin/sh

top_srcdir = ../..
srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}
sbindir = ${exec_prefix}/sbin
CC = gcc -s
CFLAGS = -g -O2
DEFS = -DHAVE_CONFIG_H
LDFLAGS = 

INSTALL = /bin/install -c
INSTALL_PROGRAM = ${INSTALL}
APXS = /notfound/

DESTDIR =

MAKEDEFS = CC='$(CC)' DEFS='$(DEFS)' CFLAGS='$(CFLAGS)' \
           LDFLAGS='$(LDFLAGS)' prefix='$(prefix)' \
           sbindir='$(sbindir)' DESTDIR='$(DESTDIR)' \
           srcdir='$(srcdir)'

RM = rm -f
INCLUDES = -I$(top_srcdir)/src
EXTRADEFS = -DPATH_TO_SUPHP=\\\"$(sbindir)/suphp\\\"

all: suphp.mod

suphp.mod: mod_suphp.c
	$(APXS) -c $(DEFS) $(EXTRADEFS) $(INCLUDES) -Wc,"$(CFLAGS)" mod_suphp.c

install: suphp.mod
	$(APXS) -i -a mod_suphp.so

clean:
	$(RM) mod_suphp.so mod_suphp.o

## suphp 0.6.2-noris-3

=== debian/changelog ===
suphp (0.6.2-noris-3) stable; urgency=low

  * Another try, the bloody paranoid-thing doesn't work.

 -- Hardy Kestin <hardy@noris.net>  Fri, 14 Mar 2008 16:48:31 +0100

suphp (0.6.2-noris-2) stable; urgency=low

  * Added setid-mode=paranoid for apache2-module too. :-)

 -- Hardy Kestin <hardy@noris.net>  Fri, 14 Mar 2008 16:08:37 +0100

suph p (0.6.2-noris-1) stable; urgency=low

  * Added setid-mode=paranoid.

 -- Hardy Kestin <hardy@noris.net>  Fri, 14 Mar 2008 15:22:33 +0100

suphp (0.6.2-1) unstable; urgency=low

  * New uptream release (closes: #405059)
    (no sources changes from previous snapshot)

 -- Emmanuel Lacour <elacour@home-dn.net>  Tue,  9 Jan 2007 18:29:26 +0100

suphp (0.6.1.20061108-1) unstable; urgency=low

  * New upstream snapshot (closes: #395929)
  * debian/patches/04_apache2.2.dpatch: removed (included upstream)

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed,  8 Nov 2006 10:06:32 +0100

suphp (0.6.1.20060928-1) unstable; urgency=low

  * New upstream snapshot (closes: #382086)
  * debian/control: updated Build-Depends (closes: #391019)
  * debian/control: updated suphp-common dependencies (closes: #375900)
  * debian/control: changes apache2-common depends in favor of
    apache2.2-common (closes: #391765)
  * debian/rules, debian/patches: Switching to dpatch
  * Removed debconf abuse (closes: #388967, closes: #383838)
  * debian/patches/04_apache2.2.dpatch: added support for apache 2.2.x
  * debian/libapache-mod-suphp.install: added suphp.conf in
    /etc/apache/conf.d/ (same behavior as apache2)

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun,  8 Oct 2006 20:53:17 +0200

suphp (0.6.1-1) unstable; urgency=low

  * New upstream release 
  * libtool update (closes: #342676)

 -- Emmanuel Lacour <elacour@home-dn.net>  Thu, 29 Dec 2005 17:53:48 +0100

suphp (0.6.0-2) unstable; urgency=low

  * Added debian/po/fr.po (closes: #325213)
  * Added debian/po/cs.po (closes: #325870, closes: #331221)
  * Added debian/po/sv.po (closes: #330944, closes: #331264)
  * debian/suphp-common.config: lower down priority from "critical" to
    "medium"
  * debian/suphp-common.templates: better description for upgrade0.6.0
    (closes: #324635)
  * Added debian/NEWS with informations on 0.6.0 configuration changes
  * debian/control: use ${misc:Depends} instead of debconf (closes: #332107)

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun,  2 Oct 2005 11:09:21 +0200

suphp (0.6.0-1) unstable; urgency=low

  * New upstream release (closes: #314471)
  * This new release introduce a runtime configuration file (closes: #297821,
    closes: #287888).
  * debian/rules: configure with php as /usr/bin/php-cgi (can also be set in
    the new runtime configuration file) (closes: #297790)
  * added a debconf note when upgrading from version << 0.6.0 which now
    require suPHP_AddHandler directive in apache configuration
  * src/apache2/mod_suphp.c, src/apache/mod_suphp.c: made suPHP_AddHandler
    able to be set as a global apache option
  * debian/control: depends on "php4 or php5" as php5 is now in unstable
  * debian/control: switch section from "admin" to "web"

 -- Emmanuel Lacour <elacour@home-dn.net>  Sat, 13 Aug 2005 13:42:30 +0200

suphp (0.5.2-3) unstable; urgency=low

  * rules: rename INSTALL files to README
  * control: suppress leading spaces at beginning of description
  * add lintian-override for suid binary
  * remove debconf for issuing broken apache2 config warning
  * rules: remove Makefile and config.(status|log|h) in clean target
  * suphp-common.copyright: make difference between "license" and "copyright"
  * suphp-common.postrm: cleanup logs on purge
  

 -- Emmanuel Lacour <elacour@home-dn.net>  Tue, 12 Oct 2004 10:40:47 +0200

suphp (0.5.2-2) unstable; urgency=low

  * Move /usr/sbin/suphp to /usr/lib/suphp/suphp as this binary isn't for
    command line use
  * Added man page for suphp command
  * Add postinst/prerm script do libapache*-mod-suphp

 -- Emmanuel Lacour <elacour@home-dn.net>  Mon, 20 Sep 2004 21:59:24 +0200

suphp (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 14 Jul 2004 01:25:55 +0200

suphp (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun, 29 Feb 2004 20:28:17 +0100

suphp (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Emmanuel Lacour <elacour@home-dn.net>  Fri, 19 Sep 2003 15:25:44 +0200

=== debian/control ===
Source: suphp
Section: web
Priority: optional
Maintainer: Emmanuel Lacour <elacour@home-dn.net>
Build-Depends: debhelper (>> 4.1.16), apache-dev (>= 1.3.20), apache2-prefork-dev (>= 2.2.0), apache2-mpm-prefork (>= 2.2.0) | apache2-mpm-worker (>= 2.2.0), libapr1-dev, docbook-to-man, pkg-config, dpatch
Standards-Version: 3.7.2

Package: suphp-common
Architecture: any
Depends: ${shlibs:Depends}, php4-cgi | php5-cgi
Description: Common files for mod suphp
 Suphp consists of an Apache module (mod_suphp for either apache 1.3.x or
 apache 2.x) and a setuid root binary (suphp) that is called by the Apache
 module to change the uid of the process executing the PHP interpreter to the
 owner of the php script.

Package: libapache-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, suphp-common (= ${Source-Version}), apache-common (>= 1.3.20)
Description: Apache module to run php scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache module change the uid of the process executing the PHP
 interpreter to the owner of the php script

Package: libapache2-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, suphp-common (= ${Source-Version}), apache2.2-common
Description: Apache2 module to run php scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache2 module change the uid of the process executing the PHP
 interpreter to the owner of the php script

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

patch:
	dpatch apply-all

configure-apache: patch
	dh_testdir
	./configure --prefix=/usr \
	--sysconfdir=/etc/suphp \
	--with-apxs=/usr/bin/apxs \
	--with-setid-mode=paranoid \
	--with-apache-user=www-data \
	--with-php=/usr/bin/php-cgi \
	--sbindir=/usr/lib/suphp \
	--with-setid-mode=owner \
	--with-logfile=/var/log/suphp/suphp.log

configure-apache2: patch
	dh_testdir
	CPPFLAGS="`pkg-config --cflags apr-1`" ./configure --prefix=/usr \
	--sysconfdir=/etc/suphp \
	--with-apxs=/usr/bin/apxs2 \
	--with-setid-mode=paranoid \
	--with-apache-user=www-data \
	--with-php=/usr/bin/php-cgi \
	--sbindir=/usr/lib/suphp \
	--with-setid-mode=owner \
	--with-logfile=/var/log/suphp/suphp.log


build-apache: configure-apache
	dh_testdir
	$(MAKE)

build-apache2: configure-apache2
	dh_testdir
	$(MAKE)

build:

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	rm -f config.log config.status src/config.h
	rm -f libtool src/stamp-h
	find . -name .libs | xargs rm -rf
	find . -name .deps | xargs rm -rf
	rm -f src/apache/mod_suphp.o src/apache/mod_suphp.lo src/apache/mod_suphp.la src/stamp-h1
	find . -name Makefile | xargs rm -f
	dh_clean
	dpatch deapply-all
	rm -rf debian/patched

install: build-apache build-apache2
	dh_testdir
	dh_testroot
	dh_clean -k
	find -name ".svn" -type d | xargs rm -rf
	dh_installdirs
	dh_install
	docbook-to-man debian/suphp-common.manpage.sgml > debian/suphp-common/usr/share/man/man8/suphp.8
	install -m 644 debian/suphp-common.lintian-override debian/suphp-common/usr/share/lintian/overrides/suphp-common
	mv debian/suphp-common/etc/suphp/suphp.conf-example debian/suphp-common/etc/suphp/suphp.conf
	mv debian/libapache-mod-suphp/usr/lib/apache/1.3/mod_suphp.so.0.0.0 debian/libapache-mod-suphp/usr/lib/apache/1.3/mod_suphp.so
	mv debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so.0.0.0 debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so


# Build architecture-independent files here.
binary-indep: 
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	mv debian/libapache-mod-suphp/usr/share/doc/libapache-mod-suphp/INSTALL debian/libapache-mod-suphp/usr/share/doc/libapache-mod-suphp/README
	mv debian/libapache2-mod-suphp/usr/share/doc/libapache2-mod-suphp/INSTALL debian/libapache2-mod-suphp/usr/share/doc/libapache2-mod-suphp/README
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod u+s debian/suphp-common/usr/lib/suphp/suphp
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build build-apache build-apache2 clean binary-indep binary-arch binary install patch unpatch

## suphp 0.7.1

=== debian/changelog ===
suphp (0.7.1-3) unstable; urgency=low

  * Remove support for apache 2.4 debian package (stalled in
    experimental)

 -- Emmanuel Lacour <elacour@home-dn.net>  Tue, 26 Jun 2012 15:30:52 +0200

suphp (0.7.1-2) experimental; urgency=low

  * Lintian cleanup: 
      - remove obsolete dependency on php4
      - use quilt instead of dpatch for patches management
      - add missing ${misc:Depends}
      - convert debian makefile to make use of "dh"
      - update Standards-Version to 3.9.3
  * Add default "rotate" option to logrotate file (closes: #542021)
  * Fix typo in package descriptions (closes: #630515)
  * Add quotes around env_path configuration variable (closes: #647604)
  * Replace AddType by SetHandler in module configuration
    (closes: #571653, #594571)
  * Update dependencies and make use of dh_apache2 for Apache 2.4
    (closes: #666823)
  * Convert packaging to 3.0 (quilt)
  * Don't override CPPFLAGS with pkg-config output (closes: #655419)

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 18 Apr 2012 14:32:35 +0200

suphp (0.7.1-1) unstable; urgency=low

  * New upstream release (closes: #528379, #520182) 
  * debian/NEWS: add information about AddHandler -> AddType change introduced
    in 0.6.2-2 (closes: #517805)
  * debian/conf/suphp.conf, debian/patches/01_debian.dpatch: switch from
    application/x-httpd-php to application/x-httpd-suphp to allow
    simultaneous use of mod_suphp and mod_php (closes: #519005, #514725)

 -- Emmanuel Lacour <elacour@home-dn.net>  Mon, 03 Aug 2009 15:15:38 +0200

suphp (0.6.2-3) unstable; urgency=low

  * debian/conf/suphp.conf: by default, deactivate suPHP for applications in
    /usr/share (owned by uid 0) (closes: #472352, closes: #420007)
  * debian/control: bump standard-version

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 04 Jun 2008 10:04:08 +0200

suphp (0.6.2-2.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix race condition in symlink handling by adding
    04_CVE-2008-1614.dpatch (Closes: #475431) Fixes: CVE-2008-1614

 -- Steffen Joeris <white@debian.org>  Sat, 10 May 2008 08:48:45 +0000

suphp (0.6.2-2) unstable; urgency=low

  * remove apache 1.x package (closes: #429079)
  * debian/rules, debian/compat, debian/control: lintian cleanup
  * debian/conf/suphp.conf, debian/patches/01_debian.dpatch: replaced
    AddHandler by AddType and x-httpd-php by application/x-httpd-php to get
    the same behavior as mod php with filenames extensions (closes: #416424)

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun, 14 Oct 2007 19:42:30 +0200

=== debian/control ===
Source: suphp
Section: httpd
Priority: optional
Maintainer: Emmanuel Lacour <elacour@home-dn.net>
Build-Depends: debhelper (>= 9), apache2-prefork-dev (>= 2.2.0), apache2-mpm-prefork (>= 2.2.0) | apache2-mpm-worker (>= 2.2.0), libapr1-dev, docbook-to-man, pkg-config, dh-autoreconf, autotools-dev, quilt
Standards-Version: 3.9.3

Package: suphp-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, php5-cgi
Description: Common files for mod suphp
 Suphp consists of an Apache module (mod_suphp for either Apache 1.3.x or
 Apache 2.x) and a setuid root binary (suphp) that is called by the Apache
 module to change the uid of the process executing the PHP interpreter to the
 owner of the php script.

Package: libapache2-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, suphp-common (= ${binary:Version}), apache2.2-common
Description: Apache2 module to run PHP scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache2 module change the uid of the process executing the PHP
 interpreter to the owner of the php script.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with quilt,autotools-dev,autoreconf

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) `pkg-config --cflags apr-1`" ./configure --prefix=/usr \
	--sysconfdir=/etc/suphp \
	--with-apxs=/usr/bin/apxs2 \
	--with-apache-user=www-data \
	--sbindir=/usr/lib/suphp \
	--with-setid-mode=owner \
	--with-logfile=/var/log/suphp/suphp.log


override_dh_install:
	dh_install
	docbook-to-man debian/suphp-common.manpage.sgml > debian/suphp-common/usr/share/man/man8/suphp.8
	install -m 644 debian/suphp-common.lintian-override debian/suphp-common/usr/share/lintian/overrides/suphp-common
	mv debian/suphp-common/etc/suphp/suphp.conf-example debian/suphp-common/etc/suphp/suphp.conf
	mv debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so.0.0.0 debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so


override_dh_installdocs:
	dh_installdocs
	mv debian/libapache2-mod-suphp/usr/share/doc/libapache2-mod-suphp/INSTALL debian/libapache2-mod-suphp/usr/share/doc/libapache2-mod-suphp/README

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms
	chmod u+s debian/suphp-common/usr/lib/suphp/suphp

override_dh_makeshlibs:
	# Not needed here, not a dynamic lib

## suphp 0.7.2

=== debian/changelog ===
suphp (0.7.2-0ubuntu1) trusty; urgency=medium

  * New upstream security release.
  * Refresh debian/patches/01_debian.diff.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 Jan 2014 16:02:45 +0400

suphp (0.7.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert to 0.7.1-2 for Apache 2.4 transition (closes: #709462).
  * Remove hardcoded Build-Depends/Depends: apache2-api-20120211.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Jul 2013 09:15:32 +0100

=== debian/control ===
Source: suphp
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emmanuel Lacour <elacour@home-dn.net>
Build-Depends: debhelper (>= 9), apache2-dev (>= 2.4), libapr1-dev, docbook-to-man, pkg-config, dh-autoreconf, autotools-dev, quilt, dh-apache2
Standards-Version: 3.9.3

Package: suphp-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, php5-cgi
Description: Common files for mod suphp
 Suphp consists of an Apache module (mod_suphp for either Apache 1.3.x or
 Apache 2.x) and a setuid root binary (suphp) that is called by the Apache
 module to change the uid of the process executing the PHP interpreter to the
 owner of the php script.

Package: libapache2-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, suphp-common (= ${binary:Version})
Description: Apache2 module to run PHP scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache2 module change the uid of the process executing the PHP
 interpreter to the owner of the php script.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with quilt,autotools-dev,autoreconf
+	dh $@  --with quilt,autotools-dev,autoreconf,apache2
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS) `pkg-config --cflags apr-1`" ./configure --prefix=/usr \
@@ -21,14 +21,15 @@
 	--with-setid-mode=owner \
 	--with-logfile=/var/log/suphp/suphp.log
 
+override_dh_auto_install:
 
 override_dh_install:
 	dh_install
 	docbook-to-man debian/suphp-common.manpage.sgml > debian/suphp-common/usr/share/man/man8/suphp.8
 	install -m 644 debian/suphp-common.lintian-override debian/suphp-common/usr/share/lintian/overrides/suphp-common
 	mv debian/suphp-common/etc/suphp/suphp.conf-example debian/suphp-common/etc/suphp/suphp.conf
-	mv debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so.0.0.0 debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so
-
+	rm -f src/apache2/.libs/mod_suphp.so
+	mv src/apache2/.libs/mod_suphp.so.0.0.0 src/apache2/.libs/mod_suphp.so
 
 override_dh_installdocs:
 	dh_installdocs
